Bug 56472 - fsck a ext[2-3] fs too much time to see if it is clean or no
fsck a ext[2-3] fs too much time to see if it is clean or no
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-11-19 11:22 EST by acount closed by user
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-08 12:55:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2001-11-19 11:22:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
when the system is booting, to make the fsck of a ext[2-3] fs get too much
time to see if it is clean or no.

The kernel is 2.4.9-13, but with a linus kernel 2.4.15p-pre6 the system
boot ok.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot 
2. Cheking root filesystem
3. ... wait....

Additional info:
Comment 1 acount closed by user 2001-11-20 15:50:09 EST
---dmesg at boot--
usb-uhci.c: v1.251:USB Universal Host Controller Interface driver
end_request: I/O error, dev 02:00 (floppy), sector 0
end_request: I/O error, dev 02:00 (floppy), sector 2
end_request: I/O error, dev 02:00 (floppy), sector 0
EXT3 FS 2.4-0.9.11, 3 Oct 2001 on ide0(3,3), internal journal

The kernel is trying to read the _external_ floppy disk of my dell inspiron
laptop, but WHY? if i connect the floopy the system boot imediately.
but if i dont conenct the fd, it took 2 minutes "Cheking root filesystem" and
then put the fs status tha it is _clean_ and boot. 

why here?
--cut /etc/rc.d/rc.sysinit--

        STRING=$"Checking root filesystem"
        echo $STRING
        initlog -c "fsck -T -a $fsckoptions /"
with the linus kernel 2.4.15pre6 is booting ok
Comment 2 acount closed by user 2003-06-08 12:55:39 EDT
the problem was I was playing with raid partitions and 'rh-kernel' had a very
strange bug and it does not a e2fsprogs bug

Note You need to log in before you can comment on or make changes to this bug.